System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.Object System.Collections.IEnumerable
- Field
  System.Collections.ArrayList To be added. To be added.
- Method
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the collection.

  An object that can be used to iterate through the collection.

- Method
  System.DirectoryServices.DirectoryEntry `` ``

  You must call the method on the new entry to make the creation permanent. When you call this method, you can then set mandatory property values on the new entry. The providers each have different requirements for properties that need to be set before a call to the method is made. If those requirements are not met, the provider might throw an exception. Check with your provider to determine which properties must be set before committing changes.

  Creates a new entry in the container.

  A object that represents the new entry.

  The name of the new entry. The name of the schema that is used for the new entry.
- Method
  System.Void ``

  If the entry to be removed is a container, the container must be empty. To delete a container and all its children, use the method.

  Deletes a member of this collection.

  The name of the object to delete.
- Method
  System.DirectoryServices.DirectoryEntry `` To be added.

  If child objects of different types have the same name, the first matching child object is returned.

  The Internet Information Services (IIS) provider does not support this method. Use the overloaded method and specify an empty string ("") for the parameter.

  If no matching result is found, a with error code 0x2030 is thrown.

  Returns the member of this collection with the specified name.

  A that represents the child object that was found.

- Method
  System.DirectoryServices.DirectoryEntry `` `` To be added. To be added.

  If no matching result is found, a with error code 0x2030 is thrown.

  Returns the member of this collection with the specified name and of the specified type.

  A object that represents the child object that was found.

- Property
  System.DirectoryServices.SchemaNameCollection To be added.

  If the property is empty, child objects of all types are visible in the collection; otherwise, only those of the specified types are visible.

  Gets the schemas that specify which child objects are contained in the collection.

To be added.

Contains a collection of objects.